PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID > Class Template Reference

PSSR Message Encoding Method. More...

Inheritance diagram for PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from PK_RecoverableSignatureMessageEncodingMethod
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_SignatureMessageEncodingMethod
bool | IsProbabilistic () const
| Determines whether an encoding method requires a random number generator. More...
bool | AllowNonrecoverablePart () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Detailed Description

### template<bool ALLOW_RECOVERY, class MGF = P1363_MGF1, int SALT_LEN = -1, int MIN_PAD_LEN = 0, bool USE_HASH_ID = false>
class PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >

PSSR Message Encoding Method.

Template Parameters

  ALLOW_RECOVERY | flag indicating whether the scheme provides message recovery
  MGF | mask generation function
  SALT_LEN | length of the salt
  MIN_PAD_LEN | minimum length of the pad
  USE_HASH_ID | flag indicating whether the HashId is used

If ALLOW_RECOVERY is true, the signature scheme provides message recovery. If ALLOW_RECOVERY is false, the signature scheme is appendix, and the message must be provided during verification.

Since
  Crypto++ 2.1

Definition at line 74 of file pssr.h.

The documentation for this class was generated from the following file:

- pssr.h